package com.example.venue_reservation_service.dto;

import com.example.venue_reservation_service.vo.AdminTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

@Data
public class AdminSlot {

    Integer userId;

    Integer venueId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    LocalDate date;

    List<AdminTime> times;
}
