package com.example.venue_reservation_service.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * 获取当前预约日期中，这个场地的预约情况（管理员查询场地使用状态）
 */
@Data
public class SQueryDTO extends PageDTO{

    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    LocalDate reservationDate;

    Integer venueId;

    Integer userId;
}
