package com.example.venue_reservation_service.mapper;

import com.example.venue_reservation_service.domain.Reservation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.example.venue_reservation_service.vo.excel.ReservationExcel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author 31586
* @description 针对表【venue_reservation】的数据库操作Mapper
* @createDate 2024-11-13 11:01:43
* @Entity generator.domain.Reservation
*/
@Mapper
public interface ReservationMapper extends BaseMapper<Reservation> {

    List<ReservationExcel> selectByUserId(@Param("userId") Integer userId);
}




