package com.example.venue_reservation_service.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Data
public class AvatarVO {

    /**
     * 用户名称
     */
    private String username;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 是否上传头像图片
     */
    private Integer isUpload;

    /**
     * 评论编号
     */
    private Integer id;

    /**
     * 评论内容（需经过敏感词过滤）
     */
    private String content;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 评论时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    private Integer isLike;
}
