package com.example.venue_reservation_service.exception;

// 文件校验异常（包含文件过大和非图片文件）
public class ImageValidateException extends RuntimeException {
    private final String errorType;

    public ImageValidateException(String message, String errorType) {
        super(message);
        this.errorType = errorType;
    }

    public String getErrorType() {
        return errorType;
    }
}

