package com.example.venue_reservation_service.exception;
/**
 * 敏感词过滤异常
 */
public class SensitiveFilterException extends RuntimeException {

    private String errorCode;

    public SensitiveFilterException(String message) {
        super(message);
    }

    public SensitiveFilterException(String errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public String getErrorCode() {
        return errorCode;
    }
}