package com.example.venue_reservation_service.service;

import com.example.venue_reservation_service.domain.Admin;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.venue_reservation_service.domain.User;
import com.example.venue_reservation_service.dto.AdminSlot;
import com.example.venue_reservation_service.dto.PointDTO;
import com.example.venue_reservation_service.vo.Result;

/**
* @author 31586
* @description 针对表【venue_admin(场地对应管理员信息表 )】的数据库操作Service
* @createDate 2024-12-22 18:16:00
*/
public interface AdminService extends IService<Admin> {

    Result queryVenue(Integer userId);

    Result addTime(AdminSlot slot);

    Result selectUser(String phone);

    Result userPoint(PointDTO dto);
    Result manage(Integer userId, Integer typeId);

    Result cancel(Integer userId, Integer typeId);

}
