package com.example.venue_reservation_service.service;

import com.example.venue_reservation_service.domain.Comment;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.venue_reservation_service.dto.PageDTO;
import com.example.venue_reservation_service.dto.SearchDTO;
import com.example.venue_reservation_service.vo.Result;

/**
* @author 31586
* @description 针对表【venue_comment(用户评论主表)】的数据库操作Service
* @createDate 2025-06-03 15:00:23
*/
public interface CommentService extends IService<Comment> {

    Result queryComment(PageDTO dto);

    Result queryByUser(SearchDTO dto);

    Result createComment(Comment comment);

    Result withdrawComment(Integer id);

    Result like(Integer userId, Integer commentId);
}
