package com.example.venue_reservation_service.service;

import com.example.venue_reservation_service.domain.VenueHot;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.venue_reservation_service.dto.HotDTO;
import com.example.venue_reservation_service.dto.PageDTO;
import com.example.venue_reservation_service.vo.Result;
import org.springframework.web.multipart.MultipartFile;

/**
* @author 31586
* @description 针对表【venue_hot(热点时间表)】的数据库操作Service
* @createDate 2024-11-29 20:21:26
*/
public interface VenueHotService extends IService<VenueHot> {

    Result getHots(PageDTO dto);

    Result addHot(HotDTO dto);

    Result updateHot(HotDTO dto);

    Result uploadImg(MultipartFile file, Integer id);

    Result removeHot(Integer id);

    Result getMoney();

}
