package com.example.venue_reservation_service.dcpint.remind;

import com.example.venue_reservation_service.dcpint.util.IfsDcpIntUtils;

import java.util.HashMap;
import java.util.Map;


public class IfsDcpIntRemindTest {

	public static void main(String[] args) throws Exception {
		String param="<param>"
				+ "<module>Remind</module>"
				+ "<method>addRemindMsg</method>"
				+"<sender>2547</sender>"
				+ "<receiver>2547</receiver>"
				+"<content>提醒内容http://unis.ecjtu.edu.cn/unis/casLoginServlet</content>"
				+"<link>http://unis.ecjtu.edu.cn/unis/casLoginServlet</link>"
				+ "</param>";
		param= IfsDcpIntUtils.desEncode(param);
		Map<String, String> params = new HashMap<String, String>();
		//注意：参数名"clienttype","name"和"param"不能变
		params.put("clienttype", "java");
		params.put("name", "thirdpartytest");
		params.put("param", param);
		/*返回值说明
	    (1)正确的返回为：{"success":true,"message":true}
	    (2)错误的返回为：{"success":false,"message":"具体消息内容"}
	             比如，具体消息内容可能包含“没有此服务接口”，“请求IP不在定义的范围”，“参数不合法”,...。	 
	             具体判断可以简单以返回串不包含false字符串为成功标志。
	    */
	    String result = IfsDcpIntUtils.httpPostRequest(params);
	    System.out.println("result：" + result);

	    
	    //result：{"success":true,"message":{"string":"true"}}
	}

}
